Index: gsdl/trunk/etc/marc2qdc.txt
===================================================================
--- gsdl/trunk/etc/marc2qdc.txt	(revision 18540)
+++ gsdl/trunk/etc/marc2qdc.txt	(revision 18916)
@@ -5,6 +5,6 @@
 
 245			  -> dc.Title				
-130, 210, 240, 242, 246	  -> dc.Title^Alternative	
-730, 740		  -> dc.Title^Alternative	
+130, 210, 240, 242, 246	  -> dc.Title^alternative	
+730, 740		  -> dc.Title^alternative	
 
 # LOC crosswalk uses dc.Contributor...
@@ -22,14 +22,14 @@
 500-504, 507-519, 521-529 -> dc.Description
 531-539, 541-545, 547-599 -> dc.Description
-505			  -> dc.Description^TableofContents
-520			  -> dc.Description^Abstract	# First indicator=3
+505			  -> dc.Description^tableofContents
+520			  -> dc.Description^abstract	# First indicator=3
 
 260$a$b			  -> dc.Publisher			
 
-260$c$g			  -> dc.Date^Created		
-533$d			  -> dc.Date^Created
-260$c			  -> dc.Date^Issued
+260$c$g			  -> dc.Date^created		
+533$d			  -> dc.Date^created
+260$c			  -> dc.Date^issued
 # Control field substring, not currently supported by mapping
-# 008/07-10		  -> dc.Date^Issued   
+# 008/07-10		  -> dc.Date^issued   
 
 # Leader fields not currently supported by mapping
@@ -38,7 +38,7 @@
 
 856$q			  -> dc.Format			# IMT encoding
-300$a			  -> dc.Format^Extent
-533$e			  -> dc.Format^Extent
-340$a			  -> dc.Format^Medium
+300$a			  -> dc.Format^extent
+533$e			  -> dc.Format^extent
+340$a			  -> dc.Format^medium
 
 856$u			  -> dc.Identifier		# URI encoding
@@ -51,40 +51,40 @@
 546			  -> dc.Language		# RFC1766 encoding
 
-775			  -> dc.Relation^IsVersionOf	
-786$n$t			  -> dc.Relation^IsVersionOf	
-775,786$o		  -> dc.Relation^IsVersionOf	# URI encoding
-775$n$t			  -> dc.Relation^HasVersion	
-775$o			  -> dc.Relation^HasVersion	# URL encoding
-785$n$t			  -> dc.Relation^IsReplacedBy	
-785$o			  -> dc.Relation^IsReplacedBy	# URL encoding
-780$n$t			  -> dc.Relation^Replaces	
-780$o			  -> dc.Relation^Replaces	# URL encoding
-538			  -> dc.Relation^Requires	
-760	  		  -> dc.Relation^IsPartOf	
-773$n$t			  -> dc.Relation^IsPartOf	
-440,490,800,810,811,830	  -> dc.Relation^IsPartOf
-760,773$o		  -> dc.Relation^IsPartOf	# URL encoding
-774$n$t			  -> dc.Relation^HasPart		
-774$o			  -> dc.Relation^HasPart	# URL encoding
-510			  -> dc.Relation^IsReferencedBy	
-776$n$t			  -> dc.Relation^IsFormatOf	
-530			  -> dc.Relation^IsFormatOf	
-776$o			  -> dc.Relation^IsFormatOf	# URL encoding
-530$u			  -> dc.Relation^IsFormatOf	# URL encoding
-776$n$t			  -> dc.Relation^HasFormat	
-530			  -> dc.Relation^HasFormat		
-776$o			  -> dc.Relation^HasFormat	# URL encoding
-530$u			  -> dc.Relation^HasFormat	# URL encoding
+775			  -> dc.Relation^isVersionOf	
+786$n$t			  -> dc.Relation^isVersionOf	
+775,786$o		  -> dc.Relation^isVersionOf	# URI encoding
+775$n$t			  -> dc.Relation^hasVersion	
+775$o			  -> dc.Relation^hasVersion	# URL encoding
+785$n$t			  -> dc.Relation^isReplacedBy	
+785$o			  -> dc.Relation^isReplacedBy	# URL encoding
+780$n$t			  -> dc.Relation^replaces	
+780$o			  -> dc.Relation^replaces	# URL encoding
+538			  -> dc.Relation^requires	
+760	  		  -> dc.Relation^isPartOf	
+773$n$t			  -> dc.Relation^isPartOf	
+440,490,800,810,811,830	  -> dc.Relation^isPartOf
+760,773$o		  -> dc.Relation^isPartOf	# URL encoding
+774$n$t			  -> dc.Relation^hasPart		
+774$o			  -> dc.Relation^hasPart	# URL encoding
+510			  -> dc.Relation^isReferencedBy	
+776$n$t			  -> dc.Relation^isFormatOf	
+530			  -> dc.Relation^isFormatOf	
+776$o			  -> dc.Relation^isFormatOf	# URL encoding
+530$u			  -> dc.Relation^isFormatOf	# URL encoding
+776$n$t			  -> dc.Relation^hasFormat	
+530			  -> dc.Relation^hasFormat		
+776$o			  -> dc.Relation^hasFormat	# URL encoding
+530$u			  -> dc.Relation^hasFormat	# URL encoding
 
-522, 651		  -> dc.Coverage^Spatial		
-255			  -> dc.Coverage^Spatial	# Some 255 information equivalent to DC encoding scheme but different syntax
+522, 651		  -> dc.Coverage^spatial		
+255			  -> dc.Coverage^spatial	# Some 255 information equivalent to DC encoding scheme but different syntax
  			
-650$z			  -> dc.Coverage^Spatial
-752			  -> dc.Coverage^Spatial
+650$z			  -> dc.Coverage^spatial
+752			  -> dc.Coverage^spatial
 
-043$c,044$c		  -> dc.Coverage^Spatial	# ISO 3166 encoding
-651			  -> dc.Coverage^Spatial	# Subfield $2=tgn # Encoding TGN
-513$b			  -> dc.Coverage^Temporal	
-033$a			  -> dc.Coverage^Temporal	
+043$c,044$c		  -> dc.Coverage^spatial	# ISO 3166 encoding
+651			  -> dc.Coverage^spatial	# Subfield $2=tgn # Encoding TGN
+513$b			  -> dc.Coverage^temporal	
+033$a			  -> dc.Coverage^temporal	
 
 506, 540		  -> dc.Rights			