Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE.sh	(revision 18951)
@@ -2,5 +2,5 @@
 
 
-for d in A52DEC LAME FAAC FAAD2 LIBOGG LIBVORBIS LIBTHEORA FFMPEG RUBY FLVTOOL2 LIBJPEG ; do
+for d in A52DEC LAME FAAC FAAD2 LIBOGG LIBVORBIS LIBTHEORA LIBJPEG FFMPEG RUBY FLVTOOL2 ; do
   echo "    Running CASCADE-MAKE/$d.sh $*"
 
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/A52DEC.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/A52DEC.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/A52DEC.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAC.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAC.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAC.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFMPEG.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFMPEG.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFMPEG.sh	(revision 18951)
@@ -10,8 +10,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FLVTOOL2.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FLVTOOL2.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FLVTOOL2.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LAME.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LAME.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LAME.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBJPEG.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBJPEG.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBJPEG.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBOGG.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBOGG.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBOGG.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBTHEORA.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBTHEORA.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBTHEORA.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBVORBIS.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBVORBIS.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBVORBIS.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/RUBY.sh
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/RUBY.sh	(revision 18950)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/RUBY.sh	(revision 18951)
@@ -6,8 +6,8 @@
 progname=$0
 
-source ../../bin/script/test-setup.bash
-source ../../lib/cascade-lib.bash
+source ../../cascade-make/bin/script/test-setup.bash
+source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/cmdline
+prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
 
 opt_run_untar $force_untar $auto_untar $package $version