Index: /extensions/gsdl-video/trunk/build-srcpack/CASCADE-MAKE.bat
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/CASCADE-MAKE.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/build-srcpack/CASCADE-MAKE.bat	(revision 18993)
@@ -0,0 +1,19 @@
+@echo off
+
+for /D %%d IN (packages) do (
+  echo   Running %%d\CASCADE-MAKE.bat %*
+
+  (cd %%d && call CASCADE-MAKE.bat %* && cd ..)
+
+  if not ERRORLEVEL 0 (
+    echo   Error encountered running %%d\CASCADE-MAKE.bat
+    goto ErrorExitPos1
+  )
+)
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+
+:End
+
Index: /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE.bat
===================================================================
--- /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE.bat	(revision 18993)
@@ -0,0 +1,20 @@
+@echo off
+
+for /D %%d IN (A52DEC LAME FAAC FAAD2 LIBOGG LIBVORBIS LIBTHEORA LIBJPEG FFMPEG RUBY FLVTOOL2) do (
+  echo     Skipping CASCADE-MAKE\%%d.sh %* [compile script not written]
+
+REM  call CASCADE-MAKE\%%d.bat %*
+
+  if not ERRORLEVEL 0 (
+    echo   Error encountered running CASCADE-MAKE\%%d.bat
+    goto ErrorExitPos1
+  )
+)
+
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+goto End
+
+:End
Index: /extensions/gsdl-video/trunk/cascade-make/lib/cascade-lib.bat
===================================================================
--- /extensions/gsdl-video/trunk/cascade-make/lib/cascade-lib.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/cascade-make/lib/cascade-lib.bat	(revision 18993)
@@ -0,0 +1,35 @@
+@echo off
+
+if "x%GSDLOS%" == "x" (
+  set GSDLOS=windows
+)
+
+set force_untar=0
+set auto_untar=0
+
+set compile=0
+set install=0
+set clean=0
+set distclean=0
+set tarclean=0
+
+if "%*" NEQ "" (
+  for /D %%c IN (%*) do (
+    echo %%c
+    if "%%c" == "untar"     set force_untar=1
+    if "%%c" == "compile"   set compile=1
+    if "%%c" == "install"   set install=1  
+    if "%%c" == "clean"     set clean=1  
+    if "%%c" == "distclean" set distclean=1
+    if "%%c" == "tarclean"  set tarclean=1
+  )
+) else (
+  :: defaults
+  set auto_untar=1
+  set compile=1
+  set install=1
+  set clean=0
+  set distclean=0
+  set tarclean=0
+)
+
Index: /extensions/gsdl-video/trunk/runtime-srcpack/CASCADE-MAKE.bat
===================================================================
--- /extensions/gsdl-video/trunk/runtime-srcpack/CASCADE-MAKE.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/runtime-srcpack/CASCADE-MAKE.bat	(revision 18993)
@@ -0,0 +1,19 @@
+@echo off
+
+for /D %%d IN (packages) do (
+  echo   Running %%d\CASCADE-MAKE.bat %*
+
+  (cd %%d && call CASCADE-MAKE.bat %* && cd ..)
+
+  if not ERRORLEVEL 0 (
+    echo   Error encountered running %%d\CASCADE-MAKE.bat
+    goto ErrorExitPos1
+  )
+)
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+
+:End
+
Index: /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE.bat
===================================================================
--- /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE.bat	(revision 18993)
@@ -0,0 +1,20 @@
+@echo off
+
+for /D %%d IN (MOD_FLVX FLOWPLAYER) do (
+  echo     Running CASCADE-MAKE\%%d.bat %*
+
+  call CASCADE-MAKE\%%d.bat %*
+
+  if not ERRORLEVEL 0 (
+    echo   Error encountered running CASCADE-MAKE\%%d.bat
+    goto ErrorExitPos1
+  )
+)
+
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+goto End
+
+:End
Index: /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE/FLOWPLAYER.bat
===================================================================
--- /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE/FLOWPLAYER.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE/FLOWPLAYER.bat	(revision 18993)
@@ -0,0 +1,40 @@
+@echo off
+
+set package=flowplayer
+set version=-gs
+
+set progname=%0
+
+REM call ../../cascade-make/bin/script/test-setup.bash
+REM call ../../cascade-make/lib/cascade-lib.bash
+
+set prefix=%GEXTVIDEO_INSTALLED%/%GSDLOS%
+set webprefix=..\..\web
+
+REM opt_run_untar $force_untar $auto_untar $package $version
+
+REM no make configure, or compile needed
+
+REM install
+if "%install%" == "1" (
+  if not exist "%webprefix%\flash" (
+    if not exist "%package%version%" (
+      echo Warning: %package%%version% does not appear to be unpacked
+    ) else (
+      echo Installing Flowplayer into %webprefix% folder
+      mkdir %webprefix%\flash
+      xcopy /Y %package%%version%\* %webprefix%\flash
+    )
+  )
+)
+
+REM installclean
+if "%installclean%" == "1" (
+  del /F %webprefix%\flash 
+)
+
+
+REM opt_run_tarclean $tarclean $package $version
+
+
+
Index: /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE/MOD_FLVX.bat
===================================================================
--- /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE/MOD_FLVX.bat	(revision 18993)
+++ /extensions/gsdl-video/trunk/runtime-srcpack/packages/CASCADE-MAKE/MOD_FLVX.bat	(revision 18993)
@@ -0,0 +1,23 @@
+@echo off
+
+set package=mod_flvx
+set version=-14-apr-2009
+
+set progname=%0
+
+REM call ../../cascade-make/bin/script/test-setup.bash
+REM call ../../cascade-make/lib/cascade-lib.bash
+
+set prefix=%GEXTVIDEO_INSTALLED%\%GSDLOS%
+
+REM opt_run_untar $force_untar $auto_untar $package $version
+
+REM opt_run_make $compile   $package "$version"
+REM opt_run_make $install   $package "$version" "install"
+REM opt_run_make $clean     $package "$version" "clean"
+
+REM opt_run_tarclean $tarclean $package $version
+
+echo *****
+echo ***** Need to add compile instructions for mod_flvx
+echo *****