Index: /release-kits/shared/core/lib/dates.properties
===================================================================
--- /release-kits/shared/core/lib/dates.properties	(revision 18998)
+++ /release-kits/shared/core/lib/dates.properties	(revision 18998)
@@ -0,0 +1,165 @@
+#names of months in different languages
+
+default.Dates.Jan:January
+default.Dates.Feb:February
+default.Dates.Mar:March
+default.Dates.Apr:April
+default.Dates.May:May
+default.Dates.Jun:June
+default.Dates.Jul:July
+default.Dates.Aug:August
+default.Dates.Sep:September
+default.Dates.Oct:October
+default.Dates.Nov:November
+default.Dates.Dec:December
+
+ar.Dates.Jan:ÙÙØ§ÙØ±
+ar.Dates.Feb:ÙØšØ±Ø§ÙØ±
+ar.Dates.Mar:Ù
+Ø§Ø±Ø³
+ar.Dates.Apr:Ø§ØšØ±ÙÙ
+ar.Dates.May:Ù
+Ø§ÙÙ
+ar.Dates.Jun:ÙÙÙÙÙ
+ar.Dates.Jul:ÙÙÙÙÙ
+ar.Dates.Aug:Ø£ØºØ³Ø·Ø³
+ar.Dates.Sep:Ø³ØšØªÙ
+ØšØ±
+ar.Dates.Oct:Ø§ÙØªÙØšØ±
+ar.Dates.Nov:ÙÙÙÙ
+ØšØ±
+ar.Dates.Dec:Ø¯ÙØ³Ù
+ØšØ±
+
+ca.Dates.Jan:Gener
+ca.Dates.Feb:Febrer
+ca.Dates.Mar:MarÃ§
+ca.Dates.Apr:Abril
+ca.Dates.May:Maig
+ca.Dates.Jun:Juny
+ca.Dates.Jul:Juliol
+ca.Dates.Aug:Agost
+ca.Dates.Sep:Setembre
+ca.Dates.Oct:Octubre
+ca.Dates.Nov:Novembre
+ca.Dates.Dec:Desembre
+
+el.Dates.Jan:ÎÎ±ÎœÎ¿Ï
+Î¬ÏÎ¹Î¿Ï
+el.Dates.Feb:ÎŠÎµÎ²ÏÎ¿Ï
+Î¬ÏÎ¹Î¿Ï
+el.Dates.Mar:ÎÎ¬ÏÏÎ¹Î¿Ï
+el.Dates.Apr:ÎÏÏÎ¯Î»Î¹Î¿Ï
+el.Dates.May:ÎÎ¬ÏÎ¿Ï
+el.Dates.Jun:ÎÎ¿ÏÎœÎ¹Î¿Ï
+el.Dates.Jul:ÎÎ¿ÏÎ»Î¹Î¿Ï
+el.Dates.Aug:ÎÏÎ³Î¿Ï
+ÏÏÎ¿Ï
+el.Dates.Sep:Î£ÎµÏÏÎ­ÎŒÎ²ÏÎ·Ï
+el.Dates.Oct:Î¿ÎºÏÏÎ²ÏÎ·Ï
+el.Dates.Nov:ÎÎ¿Î­ÎŒÎ²ÏÎ·Ï
+el.Dates.Dec:ÎÎµÎºÎ­ÎŒÎ²ÏÎ·Ï
+
+es.Dates.Jan:Enero
+es.Dates.Feb:Febrero
+es.Dates.Mar:Marzo
+es.Dates.Apr:Abril
+es.Dates.May:Mayo
+es.Dates.Jun:Junio
+es.Dates.Jul:Julio
+es.Dates.Aug:Agosto
+es.Dates.Sep:Septiembre
+es.Dates.Oct:Octubre
+es.Dates.Nov:Noviembre
+es.Dates.Dec:Diciembre
+
+fr.Dates.Jan:Janvier
+fr.Dates.Feb:FÃ©vrier
+fr.Dates.Mar:Mars
+fr.Dates.Apr:Avril
+fr.Dates.May:Mai
+fr.Dates.Jun:Juin
+fr.Dates.Jul:Juillet
+fr.Dates.Aug:AoÃ»t
+fr.Dates.Sep:Septembre
+fr.Dates.Oct:Octobre
+fr.Dates.Nov:Novembre
+fr.Dates.Dec:DÃ©cembre
+
+lv.Dates.Jan:JanvÄris
+lv.Dates.Feb:FerbruÄris
+lv.Dates.Mar:Marts
+lv.Dates.Apr:AprÄ«lis
+lv.Dates.May:Maijs
+lv.Dates.Jun:JÅ«nijs
+lv.Dates.Jul:JÅ«lijs
+lv.Dates.Aug:Augusts
+lv.Dates.Sep:Septembris
+lv.Dates.Oct:Oktobris
+lv.Dates.Nov:Novembris
+lv.Dates.Dec:Decembris
+
+mr.Dates.Jan:à€à€Ÿà€šà¥à€µà€Ÿà€°à¥
+mr.Dates.Feb:à€«à¥à€¬à¥à€°à¥à€µà€Ÿà€°à¥
+mr.Dates.Mar:à€®à€Ÿà€°à¥à€
+mr.Dates.Apr:à€à€ªà¥à€°à€¿à€²
+mr.Dates.May:à€®à¥
+mr.Dates.Jun:à€à¥à€š
+mr.Dates.Jul:à€à¥à€²à¥
+mr.Dates.Aug:à€à€à€žà¥à€
+mr.Dates.Sep:à€žà€ªà¥à€à¥à€à€¬à€°
+mr.Dates.Oct:à€à€à¥à€à¥à€¬à€°
+mr.Dates.Nov:à€šà¥à€µà¥à€¹à¥à€à€¬à€°
+mr.Dates.Dec:à€¡à€¿à€žà¥à€à€¬à€°
+
+ro.Dates.Jan:Ianuarie
+ro.Dates.Feb:Februarie
+ro.Dates.Mar:Martie
+ro.Dates.Apr:Aprilie
+ro.Dates.May:Mai
+ro.Dates.Jun:Iunie
+ro.Dates.Jul:Iulie
+ro.Dates.Aug:August
+ro.Dates.Sep:Septembrie
+ro.Dates.Oct:Octombrie
+ro.Dates.Nov:Noiembrie
+ro.Dates.Dec:Decembrie
+
+ru.Dates.Jan:Ð¯ÐœÐ²Ð°ÑÑ
+ru.Dates.Feb:Ð€ÐµÐ²ÑÐ°Ð»Ñ
+ru.Dates.Mar:ÐÐ°ÑÑ
+ru.Dates.Apr:ÐÐ¿ÑÐµÐ»Ñ
+ru.Dates.May:ÐÐ°Ð¹
+ru.Dates.Jun:ÐÑÐœÑ
+ru.Dates.Jul:ÐÑÐ»Ñ
+ru.Dates.Aug:ÐÐ²Ð³ÑÑÑ
+ru.Dates.Sep:Ð¡ÐµÐœÑÑÐ±ÑÑ
+ru.Dates.Oct:ÐÐºÑÑÐ±ÑÑ
+ru.Dates.Nov:ÐÐŸÑÐ±ÑÑ
+ru.Dates.Dec:ÐÐµÐºÐ°Ð±ÑÑ
+
+vi.Dates.Jan:ThÃ¡ng GiÃªng
+vi.Dates.Feb:ThÃ¡ng Hai
+vi.Dates.Mar:ThÃ¡ng Ba
+vi.Dates.Apr:ThÃ¡ng TÆ°
+vi.Dates.May:ThÃ¡ng NÄm
+vi.Dates.Jun:ThÃ¡ng SÃ¡u
+vi.Dates.Jul:ThÃ¡ng Báº£y
+vi.Dates.Aug:ThÃ¡ng TÃ¡m
+vi.Dates.Sep:ThÃ¡ng ChÃ­n
+vi.Dates.Oct:ThÃ¡ng MÆ°á»i
+vi.Dates.Nov:ThÃ¡ng MÆ°á»i má»t
+vi.Dates.Dec:ThÃ¡ng MÆ°á»i hai
+
+zh.Dates.Jan:1æ
+zh.Dates.Feb:2æ
+zh.Dates.Mar:3æ
+zh.Dates.Apr:4æ
+zh.Dates.May:5æ
+zh.Dates.Jun:6æ
+zh.Dates.Jul:7æ
+zh.Dates.Aug:8æ
+zh.Dates.Sep:9æ
+zh.Dates.Oct:10æ
+zh.Dates.Nov:11æ
+zh.Dates.Dec:12æ